Skip to:
Content
Pages
Categories
Search
Top
Bottom

BP Album+ 0.1.9.2010-06-18 is WP 3.0 compatible

  • Avatar of foxly
    foxly
    Participant

    @foxly

    I’ve just finished testing our nightly beta against WP 3.0 and I can confirm it’s fully compatible. In fact, it didn’t require any changes.

    ^F^

Viewing 7 replies - 1 through 7 (of 7 total)
  • Avatar of paulhastings0
    paulhastings0
    Participant

    @paulhastings0

    Sweet! We’re going to launch our community publicly this coming Monday morning (USA). Do you think we could safely use the latest build of BP Album for our launch without risking losing all the albums in the next update?

    Avatar of foxly
    foxly
    Participant

    @foxly

    @paulhastings0

    You’ll never “lose” albums or content on upgrade from any version past 0.1.9.2010-06-01 because the plugin uses adaptive caching and saves the original uploads. If the plugin can’t find a specific piece of content, it regenerates it from the original upload.

    But, if you install one of the nightly betas and then try to upgrade a week later, you could end up with really strange errors because for example, we have not completed the full specification for all the configuration variables yet.

    So, if you’re a strong programmer and you feel comfortable running a “diff” on the two versions, going “oh, they changed this… I need to go in and change this table entry in phpMyAdmin” … then totally, you can run with it. Our sources are really well documented.

    But if you need something that’s going to upgrade properly on its own between releases, I’d say we’re about a week away from that at this point.

    ^F^

    Avatar of paulhastings0
    paulhastings0
    Participant

    @paulhastings0

    Ugh… decisions, decisions.

    BTW, awesome job on all of your work. :)

    Avatar of blacktattoo
    blacktattoo
    Participant

    @blacktattoo

    @foxly So just to make things clear, upgrading from 0.1.7 to 0.1.9 we will “lose” all member uploaded pictures… they won’t display properly?

    Avatar of foxly
    foxly
    Participant

    @foxly

    @blacktattoo

    The BETA versions of 0.1.9 do not upgrade a 0.1.7 installation.

    The RELEASE version of 0.1.9 will fully upgrade a 0.1.7 installation, and will import all the images and data. So no, you won’t lose any uploaded content.

    ^F^

    Avatar of thekmen
    thekmen
    Participant

    @thekmen

    @foxly can we access the nightly builds?

    Avatar of foxly
    foxly
    Participant

    @foxly

    @thekmen Sure. I’ll post a link to tonight’s check-in when I finish.

    ^F^

Viewing 7 replies - 1 through 7 (of 7 total)

You must be logged in to reply to this topic.